summaryrefslogtreecommitdiff
path: root/tests/cp/acl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/acl.sh')
-rwxr-xr-xtests/cp/acl.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/cp/acl.sh b/tests/cp/acl.sh
index 0dc9f882d..36a5d298c 100755
--- a/tests/cp/acl.sh
+++ b/tests/cp/acl.sh
@@ -53,7 +53,7 @@ test "$acl1" = "$acl2" || fail=1
echo > a/file || framework_failure_ # add some data
test -s a/file || framework_failure_
cp -p --attributes-only a/file b/ || fail=1
-test -s b/file && fail=1
+compare /dev/null b/file || fail=1
acl2=$(cd b && getfacl file) || framework_failure_
test "$acl1" = "$acl2" || fail=1